MasterFile
Download
GET
/
masterfiles
/
{packageId}
/
pdf
/
download
Download
curl --request GET \
--url https://sandbox.syngrafii.com/api/v1/masterfiles/{packageId}/pdf/download \
--header 'api_key: <api-key>'import requests
url = "https://sandbox.syngrafii.com/api/v1/masterfiles/{packageId}/pdf/download"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://sandbox.syngrafii.com/api/v1/masterfiles/{packageId}/pdf/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
<PDF-BINARY-DATA>
This endpoint will generate a MasterFile with all signers personally identifiable information (PII) included.
If you want more control over the content included in the MasterFile consider using the MasterFile export API endpoint instead.
Request
Request
GET /masterfiles/{packageId}/pdf/download
Parameters
string
required
The unique identifier of the package you want to download MasterFile for.
Response
Returns a PDF file of the requested package’s MasterFile.HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
<PDF-BINARY-DATA>
⌘I
Download
